Rated 5 out of 5 stars

Would be great to see this theme updated to firefox 4.0, simply can't browse without it having used it all these years on previous versions of firefox.

Firefox 3.5 Rated 5 out of 5 stars

Please do make this compatible with 3.5, it is the greatest theme i have ever installed.

I have even held off updating my main computer just so i can keep this theme on there until it is compatible with 3.5.

This review is for a previous version of the add-on (0.2.11.2).